> For the complete documentation index, see [llms.txt](https://developers.newbluefx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.newbluefx.com/captivate-api/all-commands-reference/input-commands.md).

# Input Commands

Data controllers are also referred to as inputs and/or profiles. called an input. These commands allow you to creating, modify, and attach profiles and data controllers.

{% openapi src="/files/QtCUCNFgpSmrzNpGPNiZ" path="/api/command/getProfileList" method="get" %}
[api-spec.yaml](https://2284285836-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXkMvk0MrY3BcyplZ0pf7%2Fuploads%2Fgit-blob-145f693d93b2e9832afde71a642305186b556f75%2Fapi-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/QtCUCNFgpSmrzNpGPNiZ" path="/api/command/setTitleInput" method="get" %}
[api-spec.yaml](https://2284285836-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXkMvk0MrY3BcyplZ0pf7%2Fuploads%2Fgit-blob-145f693d93b2e9832afde71a642305186b556f75%2Fapi-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/QtCUCNFgpSmrzNpGPNiZ" path="/api/command/removeTitleInput" method="get" %}
[api-spec.yaml](https://2284285836-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXkMvk0MrY3BcyplZ0pf7%2Fuploads%2Fgit-blob-145f693d93b2e9832afde71a642305186b556f75%2Fapi-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/QtCUCNFgpSmrzNpGPNiZ" path="/api/command/attachProfile" method="get" %}
[api-spec.yaml](https://2284285836-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXkMvk0MrY3BcyplZ0pf7%2Fuploads%2Fgit-blob-145f693d93b2e9832afde71a642305186b556f75%2Fapi-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/QtCUCNFgpSmrzNpGPNiZ" path="/api/command/changeInputName" method="get" %}
[api-spec.yaml](https://2284285836-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXkMvk0MrY3BcyplZ0pf7%2Fuploads%2Fgit-blob-145f693d93b2e9832afde71a642305186b556f75%2Fapi-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/QtCUCNFgpSmrzNpGPNiZ" path="/api/command/setProfile" method="get" %}
[api-spec.yaml](https://2284285836-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FXkMvk0MrY3BcyplZ0pf7%2Fuploads%2Fgit-blob-145f693d93b2e9832afde71a642305186b556f75%2Fapi-spec.yaml?alt=media)
{% endopenapi %}

> **NOTE:** `setProfile` requires submitting xml data, so to use it, unless your xml data is small, you might need to send it as a POST request to the `/api/` endpoint directly.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.newbluefx.com/captivate-api/all-commands-reference/input-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
